using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            char[] prvired = Console.ReadLine().ToCharArray();
            char c1 = prvired[0];
            char c2 = prvired[1];
            string[] drugired = Console.ReadLine().Split();
            int a1 = Convert.ToInt32(drugired[0]);
            int a2 = Convert.ToInt32(drugired[1]);
            if (Math.Abs(a1-a2) > 1) Console.WriteLine("nemoguce");
            else 
            {
                char[] niz = new char[a1 + a2];
                for (int i = 0; i < a1 + a2; i++) 
                {
                    if (a1 >= a2) 
                    {
                        if (i % 2 == 0) niz[i] = c1;
                        else niz[i] = c2;
                    }
                    else 
                    {
                        if (i % 2 == 0) niz[i] = c2;
                        else niz[i] = c1;
                    }
                }
                foreach (char e in niz) Console.Write(e);
            }
        }
    }
}